artdaq - Bug #24437

documentation bug - QuickVec alignment should be documented
05/19/2020 01:37 PM - Ron Rechenmacher
Description

Our binary output module supports direct I/O (O_DIRECT) which requires buffers be 512-byte aligned.
QuickVec.h uses posix_memalign with 512 byte alignment, but if one is looking at just QuickVec.h, they
would likely not know the reason.

Related issues:
Related to artdaq - Support #24439: Use new(] with align parameter in QuickVe... New

05/19/2020

Associated revisions

Revision e549da37 - 05/19/2020 04:31 PM - Ron Rechenmacher

comment only - Ref. issue #24437

Revision ¢157912¢ - 05/19/2020 04:32 PM - Ron Rechenmacher

comment only - Ref. issue #24437

History

#1 - 05/19/2020 04:34 PM - Ron Rechenmacher

- Status changed from New to Resolved

added comments to:
artdag-core/Core/QuickVec.hh
artdag/ArtModules/BinaryFileOutput_module.cc

#2 - 05/19/2020 04:34 PM - Ron Rechenmacher

- Status changed from Resolved to Reviewed

comments only

#3 - 05/22/2020 09:18 AM - Ron Rechenmacher
- Related to Support #24439: Use new[] with align parameter in QuickVec to silence Valgrind error in ROOT added

04/07/2021
